Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3142)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3143)
@@ -50,6 +50,7 @@
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.Platform;
 import org.eclipse.core.runtime.Status;
+import org.eclipse.core.runtime.preferences.BundleDefaultsScope;
 import org.eclipse.core.runtime.preferences.DefaultScope;
 import org.eclipse.e4.ui.css.swt.theme.IThemeEngine;
 import org.eclipse.e4.ui.css.swt.theme.IThemeManager;
@@ -91,6 +92,8 @@
 import org.eclipse.ui.console.IOConsoleOutputStream;
 import org.eclipse.ui.dialogs.ListSelectionDialog;
 import org.eclipse.ui.handlers.IHandlerService;
+import org.eclipse.ui.internal.IPreferenceConstants;
+import org.eclipse.ui.internal.WorkbenchPlugin;
 import org.eclipse.ui.internal.dialogs.WorkbenchPreferenceNode;
 import org.eclipse.ui.statushandlers.StatusManager;
 import org.osgi.framework.Bundle;
@@ -154,9 +157,8 @@
 	public void initialize(IWorkbenchConfigurer configurer) {
 		org.eclipse.ui.ide.IDE.registerAdapters();
 		
-		// WorkbenchAdapterBuilder.registerAdapters(); // deprecated
-		PlatformUI.getPreferenceStore().setValue(
-				IWorkbenchPreferenceConstants.SHOW_PROGRESS_ON_STARTUP, true);
+		PlatformUI.getPreferenceStore().setValue(IWorkbenchPreferenceConstants.SHOW_PROGRESS_ON_STARTUP, true);
+		
 		InitializeLogger();
 		
 		configurer.setSaveAndRestore(true);
@@ -795,8 +797,6 @@
 				
 				// save preference if USER_TXM_HOME has changed
 				TBXPreferences.getInstance().put(TBXPreferences.USER_TXM_HOME, txmhomedir.getAbsolutePath());
-				DefaultScope.INSTANCE.getNode("org.eclipse.ui.workbench").putBoolean("RUN_IN_BACKGROUND", false); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
-				DefaultScope.INSTANCE.getNode("org.eclipse.ui.workbench").flush(); //$NON-NLS-1$
 				TBXPreferences.getInstance().flush();
 				// TXMPreferences.saveAll();
 				
@@ -1072,6 +1072,17 @@
 				try {
 					printTXMVersion();
 					
+					// ensure some preferences are set
+					DefaultScope.INSTANCE.getNode("org.eclipse.ui.workbench").putBoolean(IPreferenceConstants.RUN_IN_BACKGROUND, false); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
+					DefaultScope.INSTANCE.getNode("org.eclipse.ui.workbench").flush(); //$NON-NLS-1$
+					BundleDefaultsScope.INSTANCE.getNode("org.eclipse.ui.workbench").putBoolean(IPreferenceConstants.RUN_IN_BACKGROUND, false); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
+					BundleDefaultsScope.INSTANCE.getNode("org.eclipse.ui.workbench").flush(); //$NON-NLS-1$
+					
+					WorkbenchPlugin.getDefault().getPreferenceStore().setValue(IPreferenceConstants.RUN_IN_BACKGROUND, false);
+					WorkbenchPlugin.getDefault().getPreferenceStore().setDefault(IPreferenceConstants.RUN_IN_BACKGROUND, false);
+					WorkbenchPlugin.getDefault().getPreferenceStore().setValue(IPreferenceConstants.WORKBENCH_SAVE_INTERVAL, 30);
+					WorkbenchPlugin.getDefault().getPreferenceStore().setDefault(IPreferenceConstants.WORKBENCH_SAVE_INTERVAL, 30);
+					
 					jobHandler.setTaskName(TXMUIMessages.setDefaultTheme);
 					setDefaultTheme();
 					
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 3142)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 3143)
@@ -262,7 +262,7 @@
 				return OpenBrowser.openfile("https://groupes.renater.fr/wiki/txm-users/public/retours_de_bugs_logiciel"); //$NON-NLS-1$
 			}
 			else {
-				return OpenBrowser.openfile("https://sourceforge.net/p/txm/feature-requests/?source=navbar"); //$NON-NLS-1$
+				return OpenBrowser.openfile("https://sourceforge.net/p/txm/feature-requests"); //$NON-NLS-1$
 			}
 		}
 		else if (FEATURE.equals(key)) {
@@ -270,7 +270,7 @@
 				return OpenBrowser.openfile("https://groupes.renater.fr/wiki/txm-users/public/demande_de_fonctionnalites"); //$NON-NLS-1$
 			}
 			else {
-				return OpenBrowser.openfile("http://sourceforge.net/tracker/?group_id=247041&atid=1190851"); //$NON-NLS-1$
+				return OpenBrowser.openfile("https://sourceforge.net/p/txm/feature-requests"); //$NON-NLS-1$
 			}
 		}
 		else if (MAILINGLIST.equals(key)) {
